Name:       uio-release
Version:    8
Release:    1%{?dist}
Summary:    UiO Packages for RHEL repository configuration

Group:      System Environment/Base
License:    GPLv2

URL:        http://rpm.uio.no/uio-free
Source0:    http://rpm.uio.no/uio-free/RPM-GPG-KEY-UIO
Source1:    http://rpm.uio.no/uio-free/RPM-GPG-KEY-uio-el8-free
Source2:    GPL
Source3:    uio-free.repo
Source4:    uio-free-testing.repo
Source5:    uio-nonfree.repo
Source6:    uio-nonfree-testing.repo

BuildArch:  noarch
Requires:   redhat-release >= %{version} 
Conflicts:  fedora-release

%description
This package contains the UiO Free and Non-Free Packages for RHEL
repository GPG key as well as configuration for yum.

%prep
%setup -q -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .

%build

%install
# GPG Keys
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-UIO
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-uio-el8-free

# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}  \
    %{buildroot}%{_sysconfdir}/yum.repos.d


%files
%license GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Fri Sep 13 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 8-1
- Initial build
